<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11.0.8) on Mon Nov 30 13:15:36 CET 2020 -->
<title>ModelUtil</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-11-30">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
</head>
<body>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">org.eclipse.app4mc.amalthea.model.util</a></div>
<h2 title="Class ModelUtil" class="title">Class ModelUtil</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>Object</li>
<li>
<ul class="inheritance">
<li>ModelUtil</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">ModelUtil</span>
extends Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static ActivityGraph</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getOrCreateActivityGraph(org.eclipse.app4mc.amalthea.model.Process)">getOrCreateActivityGraph</a></span>&#8203;(@NonNull Process&nbsp;process)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static ActivityGraph</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getOrCreateActivityGraph(org.eclipse.app4mc.amalthea.model.Runnable)">getOrCreateActivityGraph</a></span>&#8203;(@NonNull Runnable&nbsp;runnable)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static CommonElements</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getOrCreateCommonElements(org.eclipse.app4mc.amalthea.model.Amalthea)">getOrCreateCommonElements</a></span>&#8203;(@NonNull Amalthea&nbsp;model)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static ComponentsModel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getOrCreateComponentsModel(org.eclipse.app4mc.amalthea.model.Amalthea)">getOrCreateComponentsModel</a></span>&#8203;(@NonNull Amalthea&nbsp;model)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static ConfigModel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getOrCreateConfigModel(org.eclipse.app4mc.amalthea.model.Amalthea)">getOrCreateConfigModel</a></span>&#8203;(@NonNull Amalthea&nbsp;model)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static ConstraintsModel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getOrCreateConstraintsModel(org.eclipse.app4mc.amalthea.model.Amalthea)">getOrCreateConstraintsModel</a></span>&#8203;(@NonNull Amalthea&nbsp;model)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static EventModel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getOrCreateEventModel(org.eclipse.app4mc.amalthea.model.Amalthea)">getOrCreateEventModel</a></span>&#8203;(@NonNull Amalthea&nbsp;model)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static HWModel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getOrCreateHwModel(org.eclipse.app4mc.amalthea.model.Amalthea)">getOrCreateHwModel</a></span>&#8203;(@NonNull Amalthea&nbsp;model)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static MappingModel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getOrCreateMappingModel(org.eclipse.app4mc.amalthea.model.Amalthea)">getOrCreateMappingModel</a></span>&#8203;(@NonNull Amalthea&nbsp;model)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static OSModel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getOrCreateOsModel(org.eclipse.app4mc.amalthea.model.Amalthea)">getOrCreateOsModel</a></span>&#8203;(@NonNull Amalthea&nbsp;model)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>static PropertyConstraintsModel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getOrCreatePropertyConstraintsModel(org.eclipse.app4mc.amalthea.model.Amalthea)">getOrCreatePropertyConstraintsModel</a></span>&#8203;(@NonNull Amalthea&nbsp;model)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>static StimuliModel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getOrCreateStimuliModel(org.eclipse.app4mc.amalthea.model.Amalthea)">getOrCreateStimuliModel</a></span>&#8203;(@NonNull Amalthea&nbsp;model)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>static SWModel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getOrCreateSwModel(org.eclipse.app4mc.amalthea.model.Amalthea)">getOrCreateSwModel</a></span>&#8203;(@NonNull Amalthea&nbsp;model)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getOrCreateCommonElements(org.eclipse.app4mc.amalthea.model.Amalthea)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOrCreateCommonElements</h4>
<pre class="methodSignature">public static&nbsp;CommonElements&nbsp;getOrCreateCommonElements&#8203;(@NonNull Amalthea&nbsp;model)</pre>
</li>
</ul>
<a id="getOrCreateSwModel(org.eclipse.app4mc.amalthea.model.Amalthea)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOrCreateSwModel</h4>
<pre class="methodSignature">public static&nbsp;SWModel&nbsp;getOrCreateSwModel&#8203;(@NonNull Amalthea&nbsp;model)</pre>
</li>
</ul>
<a id="getOrCreateHwModel(org.eclipse.app4mc.amalthea.model.Amalthea)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOrCreateHwModel</h4>
<pre class="methodSignature">public static&nbsp;HWModel&nbsp;getOrCreateHwModel&#8203;(@NonNull Amalthea&nbsp;model)</pre>
</li>
</ul>
<a id="getOrCreateOsModel(org.eclipse.app4mc.amalthea.model.Amalthea)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOrCreateOsModel</h4>
<pre class="methodSignature">public static&nbsp;OSModel&nbsp;getOrCreateOsModel&#8203;(@NonNull Amalthea&nbsp;model)</pre>
</li>
</ul>
<a id="getOrCreateStimuliModel(org.eclipse.app4mc.amalthea.model.Amalthea)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOrCreateStimuliModel</h4>
<pre class="methodSignature">public static&nbsp;StimuliModel&nbsp;getOrCreateStimuliModel&#8203;(@NonNull Amalthea&nbsp;model)</pre>
</li>
</ul>
<a id="getOrCreateEventModel(org.eclipse.app4mc.amalthea.model.Amalthea)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOrCreateEventModel</h4>
<pre class="methodSignature">public static&nbsp;EventModel&nbsp;getOrCreateEventModel&#8203;(@NonNull Amalthea&nbsp;model)</pre>
</li>
</ul>
<a id="getOrCreateConstraintsModel(org.eclipse.app4mc.amalthea.model.Amalthea)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOrCreateConstraintsModel</h4>
<pre class="methodSignature">public static&nbsp;ConstraintsModel&nbsp;getOrCreateConstraintsModel&#8203;(@NonNull Amalthea&nbsp;model)</pre>
</li>
</ul>
<a id="getOrCreatePropertyConstraintsModel(org.eclipse.app4mc.amalthea.model.Amalthea)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOrCreatePropertyConstraintsModel</h4>
<pre class="methodSignature">public static&nbsp;PropertyConstraintsModel&nbsp;getOrCreatePropertyConstraintsModel&#8203;(@NonNull Amalthea&nbsp;model)</pre>
</li>
</ul>
<a id="getOrCreateMappingModel(org.eclipse.app4mc.amalthea.model.Amalthea)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOrCreateMappingModel</h4>
<pre class="methodSignature">public static&nbsp;MappingModel&nbsp;getOrCreateMappingModel&#8203;(@NonNull Amalthea&nbsp;model)</pre>
</li>
</ul>
<a id="getOrCreateComponentsModel(org.eclipse.app4mc.amalthea.model.Amalthea)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOrCreateComponentsModel</h4>
<pre class="methodSignature">public static&nbsp;ComponentsModel&nbsp;getOrCreateComponentsModel&#8203;(@NonNull Amalthea&nbsp;model)</pre>
</li>
</ul>
<a id="getOrCreateConfigModel(org.eclipse.app4mc.amalthea.model.Amalthea)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOrCreateConfigModel</h4>
<pre class="methodSignature">public static&nbsp;ConfigModel&nbsp;getOrCreateConfigModel&#8203;(@NonNull Amalthea&nbsp;model)</pre>
</li>
</ul>
<a id="getOrCreateActivityGraph(org.eclipse.app4mc.amalthea.model.Process)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOrCreateActivityGraph</h4>
<pre class="methodSignature">public static&nbsp;ActivityGraph&nbsp;getOrCreateActivityGraph&#8203;(@NonNull Process&nbsp;process)</pre>
</li>
</ul>
<a id="getOrCreateActivityGraph(org.eclipse.app4mc.amalthea.model.Runnable)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getOrCreateActivityGraph</h4>
<pre class="methodSignature">public static&nbsp;ActivityGraph&nbsp;getOrCreateActivityGraph&#8203;(@NonNull Runnable&nbsp;runnable)</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
</body>
</html>
